Debian Bug report logs - #647485
[PATCH] please transaction gst-plugins-base0.10 to multiarch

version graph

Package: gst-plugins-base0.10; Maintainer for gst-plugins-base0.10 is Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>;

Reported by: YunQiang Su <wzssyqa@gmail.com>

Date: Thu, 3 Nov 2011 07:27:01 UTC

Severity: normal

Tags: patch

Found in version 0.10.35-1

Fixed in version gst-plugins-base0.10/0.10.35.2-1

Done: Sebastian Dröge <slomo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#647485; Package gst-plugins-base0.10. (Thu, 03 Nov 2011 07:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to YunQiang Su <wzssyqa@gmail.com>:
New Bug report received and forwarded. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Thu, 03 Nov 2011 07:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: YunQiang Su <wzssyqa@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [PATCH] please transaction gst-plugins-base0.10 to multiarch
Date: Thu, 3 Nov 2011 15:24:32 +0800
[Message part 1 (text/plain, inline)]
Package: gst-plugins-base0.10
Version: 0.10.35-1

It works well on Ubuntu 11.10.

-- 
YunQiang Su
[multiarch.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#647485; Package gst-plugins-base0.10. (Sat, 10 Dec 2011 09:03:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Sat, 10 Dec 2011 09:03:44 GMT) Full text and rfc822 format available.

Message #10 received at 647485@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <647485@bugs.debian.org>
Subject: Re: [PATCH] please transaction gst-plugins-base0.10 to multiarch
Date: Sat, 10 Dec 2011 00:30:39 -0800
[Message part 1 (text/plain, inline)]
Package: gst-plugins-base0.10
Version: 0.10.35-1
Followup-For: Bug #647485
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi folks,

The patch included in this bug seems to have been a patch for the
gstreamer0.10 source package by mistake.  Please find attached a patch for
gst-plugins-base0.10.

Note that this brings an added versioned runtime dependency on
libgstreamer0.10-0, to ensure that the plugins are not upgraded without a
library that can find them.  As a result, this patch is dependent on the
patch from bug #647481, and the versioned dependency should match whatever
version actually introduces multiarch support in gstreamer0.10.  (The
current version number used in the patch for this is speculative.)

It should actually also have a build-dependency on the necessary version of
dh_gstscancodecs that knows to look in the multiarch directory. 
Unfortunately I overlooked this detail when preparing the patch I sent to
bug #647481; I'll prepare an updated patch for gstreamer and send it on
ASAP.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[gst-plugins-base0.10_0.10.35-1ubuntu1.debdiff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 10 Dec 2011 09:04:38 GMT) Full text and rfc822 format available.

Reply sent to Sebastian Dröge <slomo@debian.org>:
You have taken responsibility. (Sun, 11 Dec 2011 18:51:12 GMT) Full text and rfc822 format available.

Notification sent to YunQiang Su <wzssyqa@gmail.com>:
Bug acknowledged by developer. (Sun, 11 Dec 2011 18:51:12 GMT) Full text and rfc822 format available.

Message #17 received at 647485-close@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@debian.org>
To: 647485-close@bugs.debian.org
Subject: Bug#647485: fixed in gst-plugins-base0.10 0.10.35.2-1
Date: Sun, 11 Dec 2011 18:48:10 +0000
Source: gst-plugins-base0.10
Source-Version: 0.10.35.2-1

We believe that the bug you reported is fixed in the latest version of
gst-plugins-base0.10, which is due to be installed in the Debian FTP archive:

gir1.2-gst-plugins-base-0.10_0.10.35.2-1_amd64.deb
  to main/g/gst-plugins-base0.10/gir1.2-gst-plugins-base-0.10_0.10.35.2-1_amd64.deb
gst-plugins-base0.10_0.10.35.2-1.debian.tar.gz
  to main/g/gst-plugins-base0.10/gst-plugins-base0.10_0.10.35.2-1.debian.tar.gz
gst-plugins-base0.10_0.10.35.2-1.dsc
  to main/g/gst-plugins-base0.10/gst-plugins-base0.10_0.10.35.2-1.dsc
gst-plugins-base0.10_0.10.35.2.orig.tar.bz2
  to main/g/gst-plugins-base0.10/gst-plugins-base0.10_0.10.35.2.orig.tar.bz2
gstreamer0.10-alsa_0.10.35.2-1_amd64.deb
  to main/g/gst-plugins-base0.10/gstreamer0.10-alsa_0.10.35.2-1_amd64.deb
gstreamer0.10-gnomevfs_0.10.35.2-1_amd64.deb
  to main/g/gst-plugins-base0.10/gstreamer0.10-gnomevfs_0.10.35.2-1_amd64.deb
gstreamer0.10-plugins-base-apps_0.10.35.2-1_amd64.deb
  to main/g/gst-plugins-base0.10/gstreamer0.10-plugins-base-apps_0.10.35.2-1_amd64.deb
gstreamer0.10-plugins-base-dbg_0.10.35.2-1_amd64.deb
  to main/g/gst-plugins-base0.10/gstreamer0.10-plugins-base-dbg_0.10.35.2-1_amd64.deb
gstreamer0.10-plugins-base-doc_0.10.35.2-1_all.deb
  to main/g/gst-plugins-base0.10/gstreamer0.10-plugins-base-doc_0.10.35.2-1_all.deb
gstreamer0.10-plugins-base_0.10.35.2-1_amd64.deb
  to main/g/gst-plugins-base0.10/gstreamer0.10-plugins-base_0.10.35.2-1_amd64.deb
gstreamer0.10-x_0.10.35.2-1_amd64.deb
  to main/g/gst-plugins-base0.10/gstreamer0.10-x_0.10.35.2-1_amd64.deb
libgstreamer-plugins-base0.10-0_0.10.35.2-1_amd64.deb
  to main/g/gst-plugins-base0.10/libgstreamer-plugins-base0.10-0_0.10.35.2-1_amd64.deb
libgstreamer-plugins-base0.10-dev_0.10.35.2-1_amd64.deb
  to main/g/gst-plugins-base0.10/libgstreamer-plugins-base0.10-dev_0.10.35.2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 647485@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Dröge <slomo@debian.org> (supplier of updated gst-plugins-base0.10 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 Dec 2011 19:27:10 +0100
Source: gst-plugins-base0.10
Binary: gstreamer0.10-plugins-base-apps gstreamer0.10-plugins-base-doc libgstreamer-plugins-base0.10-0 libgstreamer-plugins-base0.10-dev gstreamer0.10-alsa gstreamer0.10-gnomevfs gstreamer0.10-plugins-base gstreamer0.10-plugins-base-dbg gstreamer0.10-x gir1.2-gst-plugins-base-0.10
Architecture: source all amd64
Version: 0.10.35.2-1
Distribution: experimental
Urgency: low
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Changed-By: Sebastian Dröge <slomo@debian.org>
Description: 
 gir1.2-gst-plugins-base-0.10 - Description: GObject introspection data for the GStreamer Plugins
 gstreamer0.10-alsa - GStreamer plugin for ALSA
 gstreamer0.10-gnomevfs - GStreamer plugin for GnomeVFS
 gstreamer0.10-plugins-base - GStreamer plugins from the "base" set
 gstreamer0.10-plugins-base-apps - GStreamer helper programs from the "base" set
 gstreamer0.10-plugins-base-dbg - GStreamer plugins from the "base" set
 gstreamer0.10-plugins-base-doc - GStreamer documentation for plugins from the "base" set
 gstreamer0.10-x - GStreamer plugins for X11 and Pango
 libgstreamer-plugins-base0.10-0 - GStreamer libraries from the "base" set
 libgstreamer-plugins-base0.10-dev - GStreamer development files for libraries from the "base" set
Closes: 647485
Changes: 
 gst-plugins-base0.10 (0.10.35.2-1) experimental; urgency=low
 .
   * New upstream pre-release:
     + debian/rules,
       debian/build-deps.in:
       - Build-depend on GStreamer core >= 0.10.35.2.
       - Build-depend on GLib >= 2.24.
       - Build-depend on GTK+ 3.0.
       - Build-depend on zlib.
     + debian/patches/99_ltmain_as-needed.patch:
       - Refresh to apply cleanly again.
     + debian/libgstreamer-plugins-base.symbols:
       - Update symbols file with new API.
   * debian/rules:
     + Remove all dependency_libs from the .la files.
   * debian/control.in:
     + Put GI package into section introspection.
   * debian/build-deps.in,
     debian/compat,
     debian/control.in,
     debian/gir1.2-gst-plugins-base.install,
     debian/gstreamer-alsa.install,
     debian/gstreamer-gnomevfs.install,
     debian/gstreamer-plugins-base.install,
     debian/gstreamer-x.install,
     debian/libgstreamer-plugins-base-dev.install,
     debian/libgstreamer-plugins-base.install,
     debian/rules:
     + Transition package to multi-arch (Closes: #647485).
       Patch taken from the Ubuntu package.
Checksums-Sha1: 
 39ec1c624a4a950a86117fe58184d193ef526782 2980 gst-plugins-base0.10_0.10.35.2-1.dsc
 624d0b46318e911b36631856bcb96b1f7d3680f6 2950816 gst-plugins-base0.10_0.10.35.2.orig.tar.bz2
 d5159760e8621e793e624959925b528135dd991a 38852 gst-plugins-base0.10_0.10.35.2-1.debian.tar.gz
 0e290d1ee370f386a8284a058d6dc1d66a5964ce 977586 gstreamer0.10-plugins-base-doc_0.10.35.2-1_all.deb
 cfe2666f6fea2912e433845045838bed51afafcd 511026 gstreamer0.10-plugins-base-apps_0.10.35.2-1_amd64.deb
 decedd5080eff8c47a60c768c8a0e8b90b4b8d03 1098110 libgstreamer-plugins-base0.10-0_0.10.35.2-1_amd64.deb
 58ba1f03caa843f18ed8561c84771aef1765c523 723742 libgstreamer-plugins-base0.10-dev_0.10.35.2-1_amd64.deb
 327be95d36e1766917fa1996394601d0a382924b 538204 gstreamer0.10-alsa_0.10.35.2-1_amd64.deb
 48c4eae8a4567f6566376a828501e63cb545196e 517364 gstreamer0.10-gnomevfs_0.10.35.2-1_amd64.deb
 a547e98e061b4c3c7f018dd6e7f331ce581ada9f 1254498 gstreamer0.10-plugins-base_0.10.35.2-1_amd64.deb
 390cfee2c40c0505d895aea1a55c505c41779cd3 3636480 gstreamer0.10-plugins-base-dbg_0.10.35.2-1_amd64.deb
 18165d1d61915c85f4bd6b5d5c40a3b7f5f40c1e 581302 gstreamer0.10-x_0.10.35.2-1_amd64.deb
 1ca909ab423c9053c00807dd99ab3c0b5d394390 560838 gir1.2-gst-plugins-base-0.10_0.10.35.2-1_amd64.deb
Checksums-Sha256: 
 db402b5bcbddd864907b19f5310123e183730a56059b60e7ccdb67f06dfd4bac 2980 gst-plugins-base0.10_0.10.35.2-1.dsc
 515c0eced099a3b6d8617155acc2ffe357cdbaa975da63f49ad39b1b8f08673b 2950816 gst-plugins-base0.10_0.10.35.2.orig.tar.bz2
 fce8ec745ca24a7515637bf8eb9fc69f18695cd3dc3adc30f41c631054f41d80 38852 gst-plugins-base0.10_0.10.35.2-1.debian.tar.gz
 7dce4d90ada8d791435d3032ba0fedc136c41c7c784b4ec30910279fb471103f 977586 gstreamer0.10-plugins-base-doc_0.10.35.2-1_all.deb
 9fd74fe2eb1b2975ddfe18a3d5cd080c52d02206410be11f2edef02c87f46825 511026 gstreamer0.10-plugins-base-apps_0.10.35.2-1_amd64.deb
 857a7f9aabf4de14540690ba81b5c329362e51aa3f2b2d1d28e990e37b192423 1098110 libgstreamer-plugins-base0.10-0_0.10.35.2-1_amd64.deb
 6b3712a1527901e737d2a569ae1284cd09a53564164d8208ccf16f106a53cb6a 723742 libgstreamer-plugins-base0.10-dev_0.10.35.2-1_amd64.deb
 d0d8870ddf3e064d182df806d6f11422f733b812b308e29022711be3b6c26bde 538204 gstreamer0.10-alsa_0.10.35.2-1_amd64.deb
 ded2f31990314ec5faa0fdcf0519393832c89380b388f8f05defb1c15cae674d 517364 gstreamer0.10-gnomevfs_0.10.35.2-1_amd64.deb
 4afa8ee18b1715f6ea69d8d48f367b25cc98175b27fe53da62bb66786602e65f 1254498 gstreamer0.10-plugins-base_0.10.35.2-1_amd64.deb
 d0f24680546ed8a869803446f294efaee46cdc35112fd218a245cc744de4b248 3636480 gstreamer0.10-plugins-base-dbg_0.10.35.2-1_amd64.deb
 d24d6f3c5827250cbe979604a9c3352ab5e5f485f005b07a6890ad7dfc4c8a00 581302 gstreamer0.10-x_0.10.35.2-1_amd64.deb
 842463ee50966de786d9e907fce1c885c7c68f3fb3ad6812925edbabd66b66db 560838 gir1.2-gst-plugins-base-0.10_0.10.35.2-1_amd64.deb
Files: 
 c5cfcb764f6b4eced1b48d6932009e8e 2980 libs optional gst-plugins-base0.10_0.10.35.2-1.dsc
 bd5c5763863f3bfbfff3a9eb59dedb05 2950816 libs optional gst-plugins-base0.10_0.10.35.2.orig.tar.bz2
 97e864ae888de946ff99a23a301e8b41 38852 libs optional gst-plugins-base0.10_0.10.35.2-1.debian.tar.gz
 b3f7ab72450fe7d08320976165b9798d 977586 doc optional gstreamer0.10-plugins-base-doc_0.10.35.2-1_all.deb
 a417f312666f98deca40f737d46039ab 511026 utils optional gstreamer0.10-plugins-base-apps_0.10.35.2-1_amd64.deb
 d9914abb8b6365a9c214c34711a401a9 1098110 libs optional libgstreamer-plugins-base0.10-0_0.10.35.2-1_amd64.deb
 2485eb52b58cd8bff1fe2b1ea4f1cba3 723742 libdevel optional libgstreamer-plugins-base0.10-dev_0.10.35.2-1_amd64.deb
 a3be2864f94e7aeba200c98615df3463 538204 libs optional gstreamer0.10-alsa_0.10.35.2-1_amd64.deb
 b35fb28dfac3a3f59d7b365888637c63 517364 libs optional gstreamer0.10-gnomevfs_0.10.35.2-1_amd64.deb
 c48b3c84b57b3052eda41312ae65e605 1254498 libs optional gstreamer0.10-plugins-base_0.10.35.2-1_amd64.deb
 5063593663d92319889d2eff9e534cfa 3636480 debug extra gstreamer0.10-plugins-base-dbg_0.10.35.2-1_amd64.deb
 c0f7cbcb1411eb8263b46ff87a187b43 581302 libs optional gstreamer0.10-x_0.10.35.2-1_amd64.deb
 fa35aad703b0d98ad36ef3d050bf92d0 560838 introspection optional gir1.2-gst-plugins-base-0.10_0.10.35.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7k+PcACgkQBsBdh1vkHyHOFACgpT2gfbHHgaB7JE2PGnbeMxMo
ZIMAnihb4SeD2mq2GMnHCXfycZZIaJVv
=nGdn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 Mar 2012 07:39:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:39:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.